Bug 121083 - udev doesn't create a scsi device for a card reader when I put in the card
udev doesn't create a scsi device for a card reader when I put in the card
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-16 18:00 EDT by Forrest
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 09:54:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (10.19 KB, text/plain)
2004-04-16 18:02 EDT, Forrest
no flags Details

  None (edit)
Description Forrest 2004-04-16 18:00:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
I have a 6-in-1 card reader that I am using in Bug #110653, where I
have to put a scsi_mod option in /etc/modprobe.conf to probe multiple
LUNs.  When I plug in the USB card reader, it will recognize sda-sdd,
but when I put in a card (e.g., hdd1), /dev/hdd1 is never created and
I get this error when I try to mount it:
mount: special device /dev/sdd1 does not exist

If I plug in the card reader with the card in it, udev creates the
/dev/hdd1 device, and it works properly.

I am not certain that udev should REMOVE devices.  In working with
FC2test2, udev originally removed all of my used devices at reboot
(like tty*, hda*, etc.), and it would not create them at startup.  Is
this expected behaviour from udev?

Version-Release number of selected component (if applicable):
udev-023-2

How reproducible:
Always

Steps to Reproduce:
1.  Plug in a USB card reader
2.  Plug in a card


Actual Results:  I cannot mount the cards.
Comment 1 Forrest 2004-04-16 18:02:52 EDT
Created attachment 99498 [details]
dmesg output

This is the dmesg output.  USB device 2 was when I just added the card reader,
and subsequently the car.  Device 3 was when I attached the card reader with
the card already in the slot
Comment 2 Harald Hoyer 2004-04-21 10:10:32 EDT
this is more a kernel driver issue...
try udev-024 with /udev as the /dev root and yes, udev should REMOVE
device nodes
Comment 3 Harald Hoyer 2004-06-04 06:23:10 EDT
ok, made the REMOVE configurable.

Note You need to log in before you can comment on or make changes to this bug.